/* STYLE FOR ORG-MODE ELEMENTS */

/**
 * This stylesheet will work pretty well with a regular Org Mode HTML export.
 * However, you do have to turn off all of the defaults:
 *
 * (setq org-export-html-style-include-scripts nil
 *       org-export-html-style-include-default nil)
 *
 * and insert a call to the stylesheet:
 *
 * (setq org-export-html-style
 *       "<link rel=\"stylesheet\" type=\"text/css\" href=\"./style.css\" />")
 */

/* ################################################################################### */

/* SETUP FOR DARK-MODE AND LIGHT-MODE */

:root {
    /* Light theme */
    --c-light-text: black;
    --c-light-background: linen;
    --c-light-focus: olive;
    --c-light-interactive: chocolate;
    --c-light-code-fg: midnightblue;
    --c-light-code-bg: lightsteelblue;
    --c-light-link-unvisited: navy;
    --c-light-link-visited: darkred;

    /* Dark theme */
    --c-dark-text: mistyrose;
    --c-dark-background: #202020;
    --c-dark-focus: aquamarine;
    --c-dark-interactive: sandybrown;
    --c-dark-code-fg: honeydew;
    --c-dark-code-bg: darkslategrey;
    --c-dark-link-unvisited: steelblue;
    --c-dark-link-visited: salmon;

    /* define binghamton colors */
    --c-pantone342: #005A43;
    --c-pms381: #F5F8CC;
}

/* Set default theme to dark theme */
:root {
    --c-text: var(--c-dark-text);
    --c-background: var(--c-dark-background);
    --c-focus: var(--c-dark-focus);
    --c-interactive: var(--c-dark-interactive);
    --c-code-fg: var(--c-dark-code-fg);
    --c-code-bg: var(--c-dark-code-bg);
    --c-link-unvisited: var(--c-dark-link-unvisited);
    --c-link-visited: var(--c-dark-link-visited);
}

/* Override default theme with light theme */
@media (prefers-color-scheme: light) {
    :root {
        --c-text: var(--c-light-text);
        --c-background: var(--c-light-background);
        --c-focus: var(--c-light-focus);
        --c-interactive: var(--c-light-interactive);
        --c-code-fg: var(--c-light-code-fg);
        --c-code-bg: var(--c-light-code-bg);
        --c-link-unvisited: var(--c-light-link-unvisited);
        --c-link-visited: var(--c-light-link-visited);
    }
}

.theme-container {
    /* Make the dark theme the default */
    --c-text: var(--c-dark-text);
    --c-background: var(--c-dark-background);
    --c-focus: var(--c-dark-focus);
    --c-interactive: var(--c-dark-interactive);
    --c-code-fg: var(--c-dark-code-fg);
    --c-code-bg: var(--c-dark-code-bg);
    --c-link-unvisited: var(--c-dark-link-unvisited);
    --c-link-visited: var(--c-dark-link-visited);

    padding: 1.5rem;
    color: var(--c-text);
    background-color: var(--c-background);
    /* match viewport height */
    min-height: 100vh;
}

.light-mode-checkbox:checked ~ .theme-container {
    /* Override the default theme */
    --c-text: var(--c-light-text);
    --c-background: var(--c-light-background);
    --c-focus: var(--c-light-focus);
    --c-interactive: var(--c-light-interactive);
    --c-code-fg: var(--c-light-code-fg);
    --c-code-bg: var(--c-light-code-bg);
    --c-link-unvisited: var(--c-light-link-unvisited);
    --c-link-visited: var(--c-light-link-visited);
}

.light-mode-label {
    margin-bottom: 1em;
}

:focus,
.light-mode-checkbox:focus ~ .theme-container .light-mode-label {
    outline: 2px solid var(--c-focus);
}


/*
 * Replace original checkbox
 */

.light-mode-label::before {
    content: "\2610";
}

.light-mode-checkbox:checked ~ .theme-container .light-mode-label::before {
    content: "\2611";
}

/*
visibility-hidden utility class

Source: https://github.com/h5bp/html5-boilerplate

Hide only visually, but have it available for screen readers:
https://snook.ca/archives/html_and_css/hiding-content-for-accessibility

1. For long content, line feeds are not interpreted as spaces
   and small width causes content to wrap 1 word per line:
   https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
*/
.visually-hidden {
    position: absolute;
    overflow: hidden;
    clip: rect(0 0 0 0);
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
    white-space: nowrap; /* 1. */
}

/* Grow content to viewport */

/* Allow body’s children to grow to 100% of viewport’s height */
html,
body {
    height: 100vh;
    /* make navbar reasonable */
    scroll-padding-top: 100px;
    display: flex;
}

/* Allow content area to grow to  viewport height */
body {
    display: flex; /* 1. */
    flex-direction: column; /* 1. */
    /* fix navbar over-scroll problem */
}

/* Grow content area to take remaining height inside body element */
.grow {
    flex-grow: 1; /* 1. */
}



/* BASIC STYLES */

* {
    font-family: "Courier New", "Fira Mono", monospace;
}
body {
    margin: 0;
    font-family: "Courier New", "Fira Mono", monospace;
    font-size: 1em;
    line-height: 1.5em;
}
/* fix title background */
h1 {
    margin: 0;
    padding: 1em;
    background-color: var(--c-pantone342);
    color: var(--c-pms381);
   }
h1.title {
    margin-bottom: -0.25em;
    text-align: center;
    color-background: var(--c-background);
}
h2 {
    padding: 0.5em
    margin: 0;
    font-size: 1.5em;
    line-height: 1em;
    margin-bottom: 1em;
    color: var(--c-pms381);
}
h3 {
    margin: 0;
    font-size: 1.3333333333333333em;
    line-height: 1.125em;
    margin-bottom: 1.125em;
}
h4 {
    margin: 0;
    font-size: 1.1666666666666667em;
    line-height: 1.2857142857142858em;
    margin-bottom: 1.2857142857142858em;
}
p, ul, pre, td, th, label {
    margin: 0;
    font-size: 1em;
    line-height: 1.5em;
    margin-bottom: 1.5em;
}
p.small, #postamble {
    margin: 0;
    font-size: 0.8333333333333334em;
    line-height: 1.8em;
}
table {
    border-collapse: collapse;
    margin-bottom: 1.5em;
}
blockquote {
    margin-bottom: 10px;
    padding: 10px;
    background-color: #162000;
    border-left: 2px solid #005a43;
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 40px;
    margin-inline-end: 40px;
}

/* outlines for section headers */
.outline-2 h2 {
    background: var(--c-pantone342);
    padding: 0.25em;
    margin-right: 2em
}
.outline-1, .outline-2, .outline-3, .outline-4, .outline-5, .outline-6 {
    margin-left: 2em;
}
h1 span, h2 span, h3 span, h4 span, h5 span, h6 span {
    background-color: var(--c-pantone342);
    padding: 0.5em;
    border: 1px solid #ccc;
}

#header {height: 10;}
/* margin-top for navbar */
#content {
    margin: 3.75em 0 0 0;
    max-width: 100%;
}

/* link formatting */
a {bottom-border: #ffdd99 0.125em solid;}
/* unvisited */
a:link {color: var(--c-link-unvisited);}
/* visited */
a:visited {color: var(--c-link-visited);}

a:hover {
    color: var(--c-focus);
    border-bottom: 3px dotted var(--c-interactive);
}

code {
    font-family: 'Fira Mono', Consolas, 'Liberation Mono', Menlo, Courier, monospace;
    color: var(--c-code-fg);
    background-color: var(--c-code-bg);
}


/* SETUP FOR NAVBARS */

.header-fixed {
    position: fixed;
    top: 0;
    z-index: 1;
    width: 100%;
    background-color: var(--c-pantone342);
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--c-pms381);
    line-height: 60px;
    /* width: 100%; */
}
.navbar .logo {flex: auto;}
/* links in navbar */
.navbar .logo a {
    display: block;
    font-size: 2em;
    font-weight: bold;
    color: var(--c-pms381);
    text-decoration: none;
}
.navbar .logo a:hover {color: aqua;}
.navbar nav {flex: 8;}

.navbar label {
    user-select: none;
    cursor: pointer;
    padding: 28px 20px;
    position: relative;
    z-index: 3;
}
.navbar label i {
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
    font-style: normal;
    font-weight: normal;
}
.navbar label i:before, .navbar label i:after {
    content: '';
    height: 100%;
    position: relative;
    transition: all .2s ease-out;
    width: 100%;
}
.navbar label i, .navbar label i:before, .navbar label i:after {
    display: block;
    background: var(--c-pms381);
}
.navbar label i:before {top: 5px;}
.navbar label i:after {top: -5px;}

.navbar #navbar-toggle {display: none;}

.header #navbar-toggle:checked ~ .menu {
    visibility: visible;
    opacity: 0.99;
}
.header #navbar-toggle:checked ~ label {
    background: #212121;
    border-radius: 50%;
}
.header #navbar-toggle:checked ~ label i {
    background: transparent;
}
.header #navbar-toggle:checked ~ label i:before {
    transform: rotate(-45deg);
}
.header #navbar-toggle:checked ~ label i:after {
    transform: rotate(45deg);
}
.header #navbar-toggle:checked ~ label:not(.steps) i:before,
.header #navbar-toggle:checked ~ label:not(.steps) i:after {
    top: 0;
}

/* styling for navbar menu when collapsed */
@media (max-width: 768px) {
    .navbar nav {
        visibility: hidden;
        opacity: 0;
        z-index: 2;
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        transition: all 0.3s ease-out;
        display: table;
        background: var(--c-pantone342);
    }
    .navbar nav ul {
        margin: 0;
        padding: 20px 0;
        display: table-cell;
        vertical-align: middle;
    }
    .navbar nav li {
        display: block;
        text-align: center;
        padding: 20px 0;
        text-align: center;
        font-size: 50px;
        min-height: 50px;
        font-weight: bold;
        cursor: pointer;
        transition: all 0.3s ease-out;
    }
    .navbar nav li:hover {background: teal;}
    .navbar nav li:hover a {
        transition: all 0.3s ease-out;
    }
    .navbar nav li a {color: var(--c-pms381);}
}

/* styleing for navbar when not collapsed */
@media (min-width: 768px) {
    .navbar nav ul {
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: space-around;
        text-align: center;
        list-style: none;
    }
    .navbar nav li {flex: 1;}
    .navbar nav li a {
        display: block;
        padding: 0 8px;
        font-size: 16px;
        line-height: 60px;
        color: var(--c-pms381);
        text-decoration: none;
    }
    .navbar nav li.active {background: #555;}
    .navbar nav li:hover {background: teal;}
    .navbar label {display: none;}
}


/* ORGMODE NONSENSE */

.todo {color: red;}
.done {color: green;}
.tag {
    color: blue;
    text-transform: lowercase;
    /* This will be obscured by the surrounding span tag, so blank everything. */
    background: var(--c-background);
    border: none;
}
